/* -------------------------------------------------------- */
/* CUSTOM FONTS */
/* -------------------------------------------------------- */
@font-face {
font-family: "Worstveld";
src: url('https://thecasualcorner.neocities.org/fonts/Worstveld.woff') format("woff");
}

@font-face {
font-family: "SunnySpells";
src: url('https://thecasualcorner.neocities.org/fonts/SunnySpells.woff') format("woff");
}

@font-face {
font-family: "Haziness";
src: url('https://thecasualcorner.neocities.org/fonts/Haziness.woff') format("woff");
}

@font-face {
font-family: "Aprilshandwriting";
src: url('https://thecasualcorner.neocities.org/fonts/Aprilshandwriting.woff') format("woff");
}

@font-face {
font-family: "Kingthings";
src: url('https://thecasualcorner.neocities.org/fonts/Kingthings.woff') format("woff");
}

@font-face {
font-family: "PixelSplitter";
src: url('https://thecasualcorner.neocities.org/fonts/PixelSplitter.woff') format("woff");
}

@font-face {
font-family: "Delius";
src: url('https://thecasualcorner.neocities.org/fonts/Delius.woff') format("woff");
}

/* -------------------------------------------------------- */
/* VARIABLES */
/* -------------------------------------------------------- */

/* Variables are used like this: var(--text-color) */
:root {
  /* Background Colors: */
  --background-color: #9c5136;
  --content-background-color: #fffcf5;
  --sidebar-background-color: #fffcf5;

  /* Text Colors: */
  --text-color: #43271c;
  --sidebar-text-color: #43271c;
  --link-color: #72351c;
  --link-color-hover: #8e5d49;

  /* Text: */
  --font: "Delius", sans-serif; 
  --heading-font: "Kingthings", sans-serif;
  --font-size: 18px;

  /* Other Settings: */
  --margin: 15px;
  --padding: 20px;
  --border: 2px solid #deab78;
  --round-borders: 15px;
  --sidebar-width: 250px;
}

/* -------------------------------------------------------- */

* {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  min-height: 100vh;
  font-size: var(--font-size);
  margin: 0;
  padding: var(--margin);
  color: var(--text-color);
  font-family: var(--font); 
  line-height: 1.2;
  background: var(--background-color); /* check above bc there's two bakcground colours */
  background-image: url("https://thecasualcorner.neocities.org/pictures/GreenBackground.png"); /* Change picture of entire background */
  cursor: url("https://thecasualcorner.neocities.org/pictures/PixelWand.png") 16 16, auto;
}

::-moz-selection {
  /* (Text highlighted by the user) */
  background: rgba(0, 0, 0, 0.2);
}

::selection {
  /* (Text highlighted by the user) */
  background: rgba(0, 0, 0, 0.2);
}

mark {
  /* Text highlighted by using the <mark> element */
  text-shadow: 1px 1px 4px var(--link-color);
  background-color: inherit;
  color: var(--text-color);
}

/* Links: */
a {
  text-decoration: underline;
}

a:active {
  color: var(--link-color); /* Temporary brown when clicking any link, only while mouse is pressed */
}


a,
a:visited {
  color: var(--text-color);
}

a:hover,
a:focus {
  color: var(--link-color-hover);
  text-decoration: none;
}

/* -------------------------------------------------------- */
/* LAYOUT */
/* -------------------------------------------------------- */

.layout {
  width: 1200px;
  display: -ms-grid;
  display: grid;
  grid-gap: var(--margin);
  -ms-grid-rows: auto var(--margin) auto var(--margin) auto;
  -ms-grid-columns: var(--sidebar-width) var(--margin) auto;
      grid-template: "banner banner" auto 
                     "navigation navigation" auto
                     "leftSidebar main" auto 
                     "footer footer" auto 
                     / var(--sidebar-width) auto;
  /* Confused by the grid? Check out my tutorial: https://petrapixel.neocities.org/coding/positioning-tutorial#grid */
}

main {
  -ms-grid-row: 3;
  -ms-grid-column: 3;
  grid-area: main;
  overflow-y: auto;
  padding: var(--padding);
  background: var(--content-background-color);
  border: var(--border);
  border-radius: var(--round-borders);
}

/* -------------------------------------------------------- */
/* HEADER */
/* -------------------------------------------------------- */

header {
  grid-area: header;
  font-size: 1.2em;
  border: var(--border);
  border-radius: var(--round-borders);
  background: var(--content-background-color); 
  height: 170px;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  outline: 2px solid #d0a887;    
  outline-offset: -6px;
}

.header-content {
  padding: var(--padding);
}

.header-title {
  font-family: "Kingthings";
  font-size: 50px;
  font-weight: bold;
  text-align: center; /*I added this */
}

/* -------------------------------------------------------- */
/* BANNER IMAGE */
/* -------------------------------------------------------- */

.banner-image {
  grid-area: banner;
  height: 170px;
  width: 100%;
  background-image: url("https://thecasualcorner.neocities.org/pictures/music/RecordShop1.jpeg"); 
  /* background-color: #E3D2C0; */
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  padding: 2px;
  border: var(--border);
  border-radius: var(--round-borders);
  outline: 2px solid #d0a887;    
  outline-offset: -6px;
}

/* -------------------------------------------------------- */
/* NAVIGATION */
/* -------------------------------------------------------- */


.navigation {
  grid-area: navigation;
  display: flex;
  flex-direction: row;
  align-items: center;  
  position: relative;
  height: 50px;
  width: 100%;
  margin: 10px 0;
}

.navigation nav {
  flex: 1;
  width: 100%;
}

.navigation nav > ul {
  display: grid;
  grid-auto-flow: column;  
  grid-template-columns: repeat(6, 1fr); /* the 1fr makes the buttons all the same size */
  place-items: center;
  gap: 20px;                
  padding: 0;
  margin: 0;
  list-style: none;
  width: 100%;
}

.navigation nav > ul > li {
  width: 100%;
}

.navigation a { /* there arent inthe right positon! */
  display: block; 
  width: 100%;
  padding: 10px 14px;
  border: 1px solid var(--sidebar-text-color);
  border-radius: var(--round-borders);
  background-image: url("https://decomail.space/bg/brown/92.jpg");
  background-size: cover;
  background-position: center;
  text-decoration: none;
  color: var(--text-color);
  font-family: "Kingthings";
  text-align: center;
  position: relative;
}

.navigation nav > ul > li > a::before {
  content: "";
  position: absolute;
  left: 9px;
  right: 9px;
  top: 5px;
  bottom: 5px;
  background: rgba(251, 240, 231, 0.5);
  border-radius: var(--round-borders);
  z-index: 0;
}

.navigation nav > ul > li > a span {
  position: relative;
  z-index: 1;
}

.dropdown {
  position: relative;
}

.dropdown::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  top: 100%;
  height: 5px;
}

.dropdown-content {
  display: none;
  position: absolute;
  top: calc(100% + 5px);
  left: 0;
  padding: 10px;
  list-style: none;
  width: max-content;
  background-color: #fff8ee;
  border: 1px solid var(--text-color);
  border-radius: var(--round-borders);
}

.dropdown-content a {
  background-image: none;
  border: none;
  padding: 10px;
  display: block;
  color: var(--text-color);
}

.dropdown:hover .dropdown-content {
  display: block;
  max-height: 400px;
} 

.sticker-left {
  position: relative;
  width: 55px;
  height: auto;
  margin-right: 25px;
}

.sticker-right {
  width: 55px;
  height: auto;
  margin-left: 25px;
  transform: scaleX(-1);
}


/* -------------------------------------------------------- */
/* SIDEBAR */
/* -------------------------------------------------------- */

aside {
  grid-area: aside;
  border: var(--border);
  border-radius: var(--round-borders);
  overflow: hidden;
  background: var(--sidebar-background-color);
  padding: var(--padding);
  color: var(--sidebar-text-color);
  display: flex;
  flex-direction: column; 
  align-items: center;
  outline: 2px solid #d0a887;    
  outline-offset: -6px;
}

.left-sidebar {
  grid-area: leftSidebar;
}



/* -------------------------------------------------------- */
/* FOOTER */
/* -------------------------------------------------------- */

footer {
  grid-area: footer;
  border: var(--border);
  border-radius: var(--round-borders);
  overflow: hidden;
  font-size: 0.75em;
  padding: 15px;
  background: var(--content-background-color);
  outline: 2px solid #d0a887;    
  outline-offset: -6px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  
}

footer a,
footer a:visited {
  color: var(--link-color);
}

footer a:hover,
footer a:focus {
  color: var(--link-color-hover);
}



/* -------------------------------------------------------- */
/* CONTENT */
/* -------------------------------------------------------- */

main {
  line-height: 1.5;
  outline: 2px solid #d0a887;    
  outline-offset: -6px;
  color: var(--text-color);
  padding: 40px;
}

main a,
main a:visited {
  color: var(--link-color);
}

main a:hover,
main a:focus {
  color: var(--link-color-hover);
  -webkit-text-decoration-style: wavy;
          text-decoration-style: wavy;
}

main p {
  margin: 0.75em 0;
}



/* HEADINGS: */

main h1,
main h2,
main h3,
main h4,
main h5,
main h6 {
  font-family: Kingthings;
  line-height: 1.5;
  margin: 30px 0px;
}

main h1:first-child,
main h2:first-child,
main h3:first-child,
main h4:first-child,
main h5:first-child,
main h6:first-child {
  margin-top: 0;
}

main h1 {
  font-size: 1.4rem;
}

main h2 {
  font-size: 1.2rem;
}

main h3 {
  font-size: 1rem;
}

main h4 {
  font-size: 0.8rem;
}

main h5 {
  font-size: 0.6rem;
}

main h6 {
  font-size: 0.4rem;
}


/* -------------------------------------------------------- */
/* PLAYLISTS */
/* -------------------------------------------------------- */

.playlist-library {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  margin: 40px 0;
}

.playlist-card img {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.popup {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: 400px;
  width: 500px;
  aspect-ratio: 3/2;
  padding: 20px;
  background-image: url("https://decomail.space/bg/brown/32.jpg");
  background-repeat: repeat;
  background-size: 100px;
  border: var(--border);
  border-radius: 10px;
  z-index: 1000;
}

.songs {
  background: var(--content-background-color);
  height: 100%;
  width: 100%;
  padding: 20px;
}

.song-list {
  display: flex;
  flex-direction: column;
  gap: 10px;
  list-style: none;
  padding-left: 0;
}

.song-list li::before {
  content: "♫";
  margin-right: 8px;
}

.popup:target {
  display: block;
}

.close {
  position: absolute;
  right: 26px;
  top: 16px;
}
 
/* -------------------------------------------------------- */
/* CONTENT IMAGES */
/* -------------------------------------------------------- */

.image {
  display: block;
  width: auto;
  height: auto;
  max-width: 100%;
}

.full-width-image {
  display: block;
  width: 100%;
  height: auto;
}

.images {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: calc(100% + 5px + 5px);
  margin-left: -5px;
  margin-right: -5px;
}

.images img {
  width: 100%;
  height: auto;
  padding: 5px;
  margin: 0;
  overflow: hidden;  
}

/* -------------------------------------------------------- */
/* ACCESSIBILITY */
/* -------------------------------------------------------- */

/* please do not remove this. */

#skip-to-content-link {
  position: fixed;
  top: 0;
  left: 0;
  display: inline-block;
  padding: 0.375rem 0.75rem;
  line-height: 1;
  font-size: 1.25rem;
  background-color: var(--content-background-color);
  color: var(--text-color);
  -webkit-transform: translateY(-3rem);
      -ms-transform: translateY(-3rem);
          transform: translateY(-3rem);
  -webkit-transition: -webkit-transform 0.1s ease-in;
  transition: -webkit-transform 0.1s ease-in;
  -o-transition: transform 0.1s ease-in;
  transition: transform 0.1s ease-in;
  transition: transform 0.1s ease-in, -webkit-transform 0.1s ease-in;
  z-index: 99999999999;
}

#skip-to-content-link:focus,
#skip-to-content-link:focus-within {
  -webkit-transform: translateY(0);
      -ms-transform: translateY(0);
          transform: translateY(0);
}

/* -------------------------------------------------------- */
/* MOBILE RESPONSIVE */
/* -------------------------------------------------------- */

/* CSS Code for devices < 800px */
@media (max-width: 800px) {
  body {
    font-size: 14px;
  }

  .layout {
    width: 100%;
    -ms-grid-rows: auto var(--margin) auto var(--margin) auto var(--margin) auto;
    -ms-grid-columns: 1fr;
        grid-template: "header" auto "banner" auto "leftSidebar" auto "main" auto "footer" auto / 1fr;
    /* Confused by the grid? Check out my tutorial: https://petrapixel.neocities.org/coding/positioning-tutorial#grid */
  }

  
  .right-sidebar { 
    display: none;
  }

  aside {
    border-bottom: 1px solid;
    padding: 9px;
    font-size: 0.9em;
  }

  
  nav {
    padding: 0;
  }
  
  nav > ul {
    padding-top: 0.5em;
  }

  nav > ul li > a,
  nav > ul li > details summary,
  nav > ul li > strong {
    padding: 0.5em;
  }

  main {
    max-height: none;
    padding: 15px;
  }

  .images {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }

  .images img {
    width: 100%;
  }

  #skip-to-content-link {
    font-size: 1rem;
  }
  
  main {
    -ms-grid-row: 5;
    -ms-grid-column: 1;
  }

  header {
    -ms-grid-row: 1;
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
  }
  
  .left-sidebar {
    -ms-grid-row: 3;
    -ms-grid-column: 1;
  }

  footer {
    -ms-grid-row: 7;
    -ms-grid-column: 1;
    -ms-grid-column-span: 1;
  }
}



















